> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve jobs

> Use this endpoint to retrieve a paginated list of import and export jobs related to Catalog Connector.
The following constraints apply when using the query parameters:
  - The query parameter job `ids` can't be combined with any other query parameters.
  - The query parameter `inputFileIds` can only be combined with the query parameter `lastJobOnly`. 
  - Pagination isn't supported when `ids` or `inputFileIds` is specified.




## OpenAPI

````yaml cc.openapi get /catalog-connector-jobs
openapi: 3.0.0
info:
  description: >-
    fabric's **Catalog Connector** API is a lightweight service that you can use
    when you have your own Product Information Management (PIM) and only want to
    integrate with other fabric services, such as Offers and OMS (excluding the
    fabric Products API service). It supports CRUD operations to add and manage
    products in the Catalog Connector based on SKU, product ID, and item ID.
    Using Catalog Connector API, you can retrieve an import template, import
    product data into the Catalog Connector, export data, and check the status
    of previous imports and exports. Additionally, you can search for products
    based on specified filter conditions and perform bulk operations to manage
    products.
  title: Catalog - Connector
  version: 3.0.0
  x-audience: external-public
  contact:
    email: support@fabric.inc
    name: Product team
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
servers:
  - url: https://api.fabric.inc/v3
    description: Production URL
security:
  - authorization: []
tags:
  - name: Catalog Connector Files
    description: >-
      Retrieve an import template, import a file to the Catalog Connector, view
      import and export status, and download a previously processed file.
  - name: Catalog Connector Jobs
    description: >-
      Export data from the Catalog Connector and retrieve the status of
      previously processed files.
  - name: General Catalog Connector Operations
    description: Search for products based on the specified filter conditions.
  - name: Catalog Connector Operations by SKU
    description: Supports product operations based on SKU.
  - name: Catalog Connector Operations by Product ID
    description: Supports product operations based on Product ID.
  - name: Catalog Connector Operations by Item ID
    description: Supports product operations based on Item ID.
externalDocs:
  description: Find out more about Catalog Connector (previously called PIM Connector)
  url: https://developer.fabric.inc/docs/products-overview
paths:
  /catalog-connector-jobs:
    get:
      tags:
        - Catalog Connector Jobs
      summary: Retrieve jobs
      description: >
        Use this endpoint to retrieve a paginated list of import and export jobs
        related to Catalog Connector.

        The following constraints apply when using the query parameters:
          - The query parameter job `ids` can't be combined with any other query parameters.
          - The query parameter `inputFileIds` can only be combined with the query parameter `lastJobOnly`. 
          - Pagination isn't supported when `ids` or `inputFileIds` is specified.
      operationId: getJobs
      parameters:
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricRequestId'
        - $ref: '#/components/parameters/ids'
        - $ref: '#/components/parameters/productFileType'
        - $ref: '#/components/parameters/inputFileIds'
        - $ref: '#/components/parameters/lastJobOnly'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/productJob'
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
        '400':
          $ref: '#/components/responses/badRequest'
        '401':
          $ref: '#/components/responses/notAuthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internalServerError'
components:
  parameters:
    xFabricTenantId:
      in: header
      name: x-fabric-tenant-id
      schema:
        type: string
      required: true
      example: 5f328bf0b5f328bf0b5f328b
      description: >-
        A header retrieved from your [Copilot Account
        Details](/v3/platform/settings/account-details/getting-the-account-id)
        that's used by the API to identify the tenant making the request. Tenant
        ID must be included in the authentication header for API requests to
        access any of fabric’s endpoints.
    xFabricRequestId:
      in: header
      name: x-fabric-request-id
      description: Unique request ID
      schema:
        type: string
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
    ids:
      in: query
      name: ids
      description: >
        The 24-character system-generated file ID created using the [Create a
        File](/v3/api-reference/catalog-connector/files/create-file) endpoint.


        Depending on the type of IDs, the array represents the file IDs or job
        IDs. Specify up to 15 IDs separated by commas. Note the following
        limitations of using this parameter:
          - This parameter can't be combined with any other parameters. 
          - Pagination isn't supported when this parameter is specified.
      schema:
        type: string
      example: 5f328bf0b5f328bf0b5f328b, 1e328bf0b5f328bf0b5f3287
    productFileType:
      in: query
      name: type
      schema:
        $ref: '#/components/schemas/productFileJobTypes'
      description: >-
        Specify the type of operation or job performed when the file was
        uploaded.
    inputFileIds:
      in: query
      name: inputFileIds
      description: >-
        The file IDs specified in the request. You can specify up to 15 file IDs
        separated by commas. - This parameter can only be combined with the
        query parameter `lastJobOnly`. - Pagination isn't supported when this is
        specified.
      schema:
        type: string
      example: 87328bf0b5f328bf0b5f328b, 9f328bf0b5f328bf0b5f3258
    lastJobOnly:
      in: query
      name: lastJobOnly
      description: >-
        A flag indicating whether the response should be based only on the last
        job. Set it to `true` to show response based on the last job and `false`
        to include response based on all jobs that meet the criteria. This is
        only applicable with `type` and `inputFileIds`.
      schema:
        type: boolean
      example: true
    offset:
      in: query
      name: offset
      description: >-
        The number of records to skip before returning records. For example,
        with an offset of 20 and limit of 10, the system returns records from 21
        to 30.
      schema:
        type: integer
        format: int32
        default: 0
        example: 2
      required: false
    limit:
      in: query
      name: limit
      description: The maximum number of records per page.
      schema:
        type: integer
        format: int32
        default: 10
        example: 20
  schemas:
    productJob:
      description: The details of the job.
      type: object
      properties:
        data:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/job'
            type: object
            properties:
              type:
                $ref: '#/components/schemas/productFileJobTypes'
        offset:
          description: >-
            The number of records to skip before returning records.

            For example, when the offset is 20 and limit is 10, the system
            returns the records from 21 to 30.
          type: integer
          format: int32
          default: 0
          example: 5
        limit:
          description: The maximum number of records per page.
          type: integer
          format: int32
          default: 10
          example: 10
        count:
          description: The total number of records.
          type: integer
          format: int32
          example: 100
    productFileJobTypes:
      type: string
      enum:
        - CATALOG_CONN_ITEM_VARIANT_IMPORT
        - CATALOG_CONN_ITEM_VARIANT_EXPORT
        - CATALOG_CONN_BUNDLE_IMPORT
        - CATALOG_CONN_BUNDLE_EXPORT
      description: Specify the type of operation or job performed by uploading the file.
      example: CATALOG_CONN_ITEM_VARIANT_IMPORT
    job:
      type: object
      description: The details of the import or export job.
      properties:
        id:
          type: string
          description: >-
            The 24-character system-generated file ID created using the [Create
            a File](/v3/api-reference/catalog-connector/files/create-file)
            endpoint.
          example: 877f1f77bcf86cd799439087
        inputFileId:
          type: string
          example: 327f1f77bcf86cd799439045
          description: The IDs of the files to be processed as part of the job.
        outputFiles:
          type: array
          description: >-
            The IDs of the processed files. The output files include success
            files, error files, and more.
          items:
            type: string
            description: >-
              The IDs of the processed files. The output files include success
              files, error files, and more.
            example: 507f1f77bcf86cd7994390163, 967f1f77bcf86cd799439058
        errorFiles:
          type: array
          description: >-
            The IDs of the processed files. The output files include success
            files, error files, and more.
          items:
            type: string
            description: >-
              A 24-character system-generated IDs of the error files. The error
              files list products that couldn't be processed through the job.
            example: 887f1f77bcf86cd799439011, 997f1f77bcf86cd799439074
        progressTracker:
          type: object
          properties:
            updatedAt:
              type: string
              description: The time when the tracker was last updated, in UTC format.
              example: '2023-02-14T22:10:30.618Z'
            totalCount:
              type: integer
              format: int32
              description: The total number of records to be processed through the job.
              example: 100000
            processedCount:
              type: integer
              format: int32
              description: The total number of records processed.
              example: 40000
            errorCount:
              type: integer
              format: int32
              description: Total number of records with error.
              example: 10
        status:
          type: string
          description: The job status.
          enum:
            - IN_PROGRESS
            - COMPLETED
            - FAILED
          example: COMPLETED
        statusMessage:
          description: A brief message corresponding to the job `status`.
          type: string
          example: 100% completed
        additionalDetails:
          type: object
          properties:
            itemsCreated:
              type: integer
              format: int32
              description: >-
                The number of items created during the import process. Only
                applicable when job `type` is `PRODUCT_IMPORT`.
              example: 10
            itemsUpdated:
              type: integer
              format: int32
              description: >-
                The number of items updated during the import process. Only
                applicable when job `type` is `PRODUCT_IMPORT`.
              example: 10
        createdAt:
          type: string
          description: The time of job creation, in UTC format.
          example: '2021-09-14T22:10:30.618Z'
        completedAt:
          type: string
          description: The time of job completion, in UTC format.
          example: '2021-09-14T22:10:30.618Z'
        updatedBy:
          type: string
          description: The email of the user who last updated the job.
          example: test@email.com
        updatedAt:
          type: string
          description: The time when the job was last updated, in UTC format.
          example: '2021-09-14T22:10:30.618Z'
    genericError:
      type: object
      description: The details of the error.
      properties:
        message:
          type: string
          description: A placeholder error message for all the 4xx, 5xx errors
          example: Request is invalid
        type:
          type: string
          description: A placeholder error type for all the 4xx, 5xx errors
          example: Bad request
        errors:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                description: The error type.
                example: CLIENT_ERROR
              message:
                type: string
                description: The error message corresponding to the `type`.
                example: Invalid request. Unable to find/create product
  headers:
    xFabricRequestId:
      schema:
        type: string
      required: false
      example: 263e731c-45c8-11ed-b878-0242ac120002
      description: Unique request ID
  responses:
    badRequest:
      description: Request is invalid or malformed
      headers:
        x-fabric-request-id:
          $ref: '#/components/headers/xFabricRequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/genericError'
    notAuthorized:
      description: The requester is unauthorized.
      headers:
        x-fabric-request-id:
          $ref: '#/components/headers/xFabricRequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/genericError'
          example:
            type: UNAUTHORIZED_ERROR
            message: Requester is unauthorized
    forbidden:
      description: The user isn't allowed to perform this action.
      headers:
        x-fabric-request-id:
          $ref: '#/components/headers/xFabricRequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/genericError'
          example:
            type: REQUEST_DENIED
            message: User does not have the required permission
    internalServerError:
      description: Internal server error
      headers:
        x-fabric-request-id:
          $ref: '#/components/headers/xFabricRequestId'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/genericError'
          example:
            type: SERVER_ERROR
            message: Internal Server Error
  securitySchemes:
    authorization:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This is the authorization token used to authenticate the request. You
        must pass the access token generated from the system app. For more
        information, see the [Making your first API
        request](/v3/api-reference/getting-started/getting-started-with-fabric-apis#procedure)
        section.

````